Bug 526062 - Use hashlib instead of deprecated module 'md5'
Summary: Use hashlib instead of deprecated module 'md5'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_python
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 15:43 UTC by Cristian Ciupitu
Modified: 2011-06-27 14:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:26:02 UTC


Attachments (Terms of Use)
mod_python patch (596 bytes, patch)
2010-07-13 19:47 UTC, Florian La Roche
no flags Details | Diff

Description Cristian Ciupitu 2009-09-28 15:43:37 UTC
Description of problem:
Similar with bugs #480945 and #475871
mod_python uses the deprecated md5 module instead of using the newer hashlib module.

Version-Release number of selected component (if applicable):
mod_python-3.3.1-10.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Use mod_python

Actual results:
[Sun Sep 27 19:59:39 2009] [notice] Apache/2.2.13 (Unix) DAV/2 mod_python/3.3.1 Python/2.6 configured -- resuming normal operations
/usr/lib64/python2.6/site-packages/mod_python/importer.py:32: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5

Expected results:
No warnings. hashlib should be used.

Additional info:

Comment 1 Florian La Roche 2009-11-22 17:00:32 UTC
Another adaption might be needed for the following info:
/usr/lib64/python2.6/site-packages/mod_python/util.py:119: DeprecationWarning: object.__init__() takes no parameters
  str.__init__(self, value)

regards,

Florian La Roche

Comment 2 Daniel Qarras 2010-01-31 14:57:04 UTC
I'm seeing this, too, with Fedora 12 + updates as of 2010-01-31 - perhaps somebody with privileges could update the Version in this report.

/usr/lib/python2.6/site-packages/mod_python/importer.py:32: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5

Comment 3 Cristian Ciupitu 2010-06-05 17:32:43 UTC
It's still present in mod_python-3.3.1-11.i686 (on Fedora 13).

Comment 4 Florian La Roche 2010-07-13 19:47:36 UTC
Created attachment 431578 [details]
mod_python patch

This fixes the problem, should ge into a current rpm as some
items like koji still depend on mod_python.

Comment 5 Florian La Roche 2010-08-31 07:57:57 UTC
Joe, can this patch be added to the current fedora-rawhide rpm?

regards,

Florian La Roche

Comment 6 Bug Zapper 2011-06-02 17:39:25 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:26:02 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.